curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/evFChfYeD2LqobEJf8iQsrYcGTw.jpg",
"belongs_to_collection": null,
"budget": 11500000,
"genres": [
{
"id": 28,
"name": "Action"
},
{
"id": 80,
"name": "Crime"
},
{
"id": 53,
"name": "Thriller"
}
],
"homepage": "",
"id": 1182387,
"imdb_id": "tt29252358",
"origin_country": [
"US"
],
"original_language": "en",
"original_title": "Armor",
"overview": "Armored truck security guard James Brody is working with his son Casey transporting millions of dollars between banks when a team of thieves led by Rook orchestrate a takeover of their truck to seize the riches. Following a violent car chase, Rook soon has the armored truck surrounded and James and Casey find themselves cornered onto a decrepit bridge.",
"popularity": 1666.034,
"poster_path": "/pnXLFioDeftqjlCVlRmXvIdMsdP.jpg",
"production_companies": [
{
"id": 7417,
"logo_path": "/13GyIWMzFvDqJN6I6tZCQYzWr7L.png",
"name": "Convergence Entertainment",
"origin_country": "US"
},
{
"id": 20312,
"logo_path": "/iYmytRQt5jqlBIEaMQ0Cb6iAHh8.png",
"name": "TPC",
"origin_country": "US"
},
{
"id": 121204,
"logo_path": "/vbtvY4IxgUZk713rkmoTO4MHIac.png",
"name": "BondIt Media Capital",
"origin_country": "US"
},
{
"id": 3604,
"logo_path": "/jC6Hk3ZyNRlVPJsA0xGlAhgd2RP.png",
"name": "Grindstone Entertainment Group",
"origin_country": "US"
}
],
"production_countries": [
{
"iso_3166_1": "US",
"name": "United States of America"
}
],
"release_date": "2024-10-30",
"revenue": 0,
"runtime": 89,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "Released",
"tagline": "On the bridge of death.",
"title": "Armor",
"video": false,
"vote_average": 5.6,
"vote_count": 64
}Fetch movie details
This endpoint allows you to get the top-level details of a movie by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
comma separated list of endpoints within this namespace, 20 items max
"string"
Defaults to en-US
"string"
Response
fetch movie details
false
"/evFChfYeD2LqobEJf8iQsrYcGTw.jpg"
11500000
Show child attributes
Show child attributes
[
{ "id": 28, "name": "Action" },
{ "id": 80, "name": "Crime" },
{ "id": 53, "name": "Thriller" }
]
""
1182387
"tt29252358"
["US"]
"en"
"Armor"
"Armored truck security guard James Brody is working with his son Casey transporting millions of dollars between banks when a team of thieves led by Rook orchestrate a takeover of their truck to seize the riches. Following a violent car chase, Rook soon has the armored truck surrounded and James and Casey find themselves cornered onto a decrepit bridge."
1666.034
"/pnXLFioDeftqjlCVlRmXvIdMsdP.jpg"
Show child attributes
Show child attributes
[
{
"id": 7417,
"logo_path": "/13GyIWMzFvDqJN6I6tZCQYzWr7L.png",
"name": "Convergence Entertainment",
"origin_country": "US"
},
{
"id": 20312,
"logo_path": "/iYmytRQt5jqlBIEaMQ0Cb6iAHh8.png",
"name": "TPC",
"origin_country": "US"
},
{
"id": 121204,
"logo_path": "/vbtvY4IxgUZk713rkmoTO4MHIac.png",
"name": "BondIt Media Capital",
"origin_country": "US"
},
{
"id": 3604,
"logo_path": "/jC6Hk3ZyNRlVPJsA0xGlAhgd2RP.png",
"name": "Grindstone Entertainment Group",
"origin_country": "US"
}
]
Show child attributes
Show child attributes
[
{
"iso_3166_1": "US",
"name": "United States of America"
}
]
"2024-10-30"
0
89
Show child attributes
Show child attributes
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
]
"Released"
"On the bridge of death."
"Armor"
false
5.6
64